# Changelog

## 1.0.0 - 2015-10-28
* Upgrade bunny to version 2.2.0
* Require Ruby 2 or higher
* Break backward compatibility to Ruby 1.9.3

## 0.7.4 - 2014-10-01
* Remove retry logic entirely because we have no failed queue.

## 0.7.3 - 2014-09-30
* Rejecting message after retries are exhausted so that it is not requeued.

## 0.7.2 - 2014-07-23
* Fix some critical bugs in the retries logic

## 0.7.1 - 2014-07-22
* Fix a critical bug during reconnect

## 0.7.0 - 2014-07-21 [yanked]
* Adding bang methods to re-raise recused errors

## 0.6.0 - 2014-07-18 [yanked]
* Acknoledges failed messages after they are re-enqueued
* Added thread safety
* Added bugsnug support

## 0.5.5 - 2014-07-12
* Adding general support for Bugsnag

## 0.5.0 - 2014-07-10
* Add support for running multiple threads in a single consumer.

## 0.4.0 - 2014-07-10
* Add retry behavior on messages that generate exceptions in `Watership::Consumer`.

## 0.3.5, 0.3.6, 0.3.7 - 2014-06-20
* Remove dependency on Rails in `Watership::Consumer`.

## 0.3.4 - 2014-06-20
* Default prefetch to 200.

## 0.3.3 - 2014-05-23
* Fix typo

## 0.3.2 - 2014-05-22
* Added optionality to `Watership::Consumer` for greater control over its behavior.

## 0.3.1 - 2014-05-15
* Added `Watership::Consumer` to encapsulate a common pattern.

## 0.3.0 - 2014-03-27
* `Watership.config=` now takes a string representing an AMQP URI, not a path.

## 0.2.6 - 2014-02-26
* Exceptions are now only pushed to Airbrake from the `production` environment.
* You can set Watership's environment with `Watership.environment = [env]`
* You can set Watership's logger with `Watership.logger = [logger]`
